Pulp - Refactor #9354

Disable DUANGO_ALLOW_ASYNC_UNSAFE for content app
09/08/2021 04:45 PM - dalley

Status: MODIFIED Start date:

Priority: Normal Due date:

Assignee: dalley % Done: 100%
Category: Estimated time: 0:00 hour
Sprint/Milestone: 3.17.0

Platform Release: Tags:

Groomed: No Sprint:

Sprint Candidate: No Quarter:

Description

Plugins will need to adapt their code to be async - and possibly APIs will need to be changed to facilitate this.

Associated revisions

Revision 1a8¢c7¢53 - 10/12/2021 03:15 PM - dalley
Disable DUANGO_ALLOW_ASYNC_UNSAFE for the content app

It's just hiding issues.

closes: #9354 https://pulp.plan.io/issues/9354

History

#1 - 09/08/2021 04:51 PM - bmbouter

When do you think plugins need to make this change by? Also what steps does pulpcore need to take to work towards this?

#2 - 09/08/2021 04:52 PM - bmbouter

Maybe we discuss at the pulpcore meeting? If so, perhaps put it on the agenda?

#3 - 09/08/2021 04:58 PM - dalley

bmbouter Here's an example: https://github.com/pulp/pulp_rpm/blob/master/pulp_rpm/app/models/repository.py#L424-1459

| don't think it will be difficult but the challenge to make the changes themselves but since it requires API changes it does apply some constraints on
how we execute.

#4 - 09/08/2021 05:00 PM - dalley

Yeah, | think it's just those two methods. https://github.com/pulp/pulpcore/blob/master/pulpcore/app/models/publication.py#L461-L483

#5 - 10/11/2021 06:24 PM - dalley
- Status changed from NEW to ASSIGNED

#6 - 10/11/2021 06:27 PM - pulpbot
- Status changed from ASSIGNED to POST

PR: https://github.com/pulp/pulpcore/pull/1679

#7 - 10/11/2021 06:28 PM - ipanova@redhat.com
- Sprint/Milestone set to 3.17.0

#8 - 10/11/2021 07:25 PM - dalley

- Assignee set to dalley

#9 - 10/12/2021 03:15 PM - dalley
- Status changed from POST to MODIFIED

12/01/2021 12



https://pulp.plan.io/issues/9354
pulp.plan.io/users/1
https://github.com/pulp/pulp_rpm/blob/master/pulp_rpm/app/models/repository.py#L424-L459
https://github.com/pulp/pulpcore/blob/master/pulpcore/app/models/publication.py#L461-L483
https://github.com/pulp/pulpcore/pull/1679

- % Done changed from 0 to 100

Applied in changeset pulpcore|1a8c7c53031f80a1d571f99add06651233e0b8fb.
